OpenMesh::Utils::MeshCheckerT< Mesh > Class Template Reference

Check integrity of mesh. More...

`#include <OpenMesh/Tools/Utils/MeshCheckerT.hh>`

## Public Types

enum | CheckTargets { CHECK_EDGES = 1, CHECK_VERTICES = 2, CHECK_FACES = 4, CHECK_ALL = 255 }
| what should be checked?

## Public Member Functions

| MeshCheckerT (const Mesh &_mesh)
| constructor
| ~MeshCheckerT ()
| destructor
bool | check (unsigned int _targets=CHECK_ALL, std::ostream &_os=omerr())
| check it, return true iff ok

## Detailed Description

### template<class Mesh>
class OpenMesh::Utils::MeshCheckerT< Mesh >

Check integrity of mesh.

This class provides several functions to check the integrity of a mesh.

The documentation for this class was generated from the following files:

- OpenMesh/Tools/Utils/MeshCheckerT.hh
- OpenMesh/Tools/Utils/MeshCheckerT.cc